search-dev:
  extends: .elasticsearch-deployment-dev
  stage: aggregate
  only:
    changes:
    - lfs-data/elastic/*
    - lfs-data/core-datasets/*
    - shared/reindex/force-reindex.txt
  variables:
    DATASET: search

search-test:
  stage: aggregate
  extends: .elasticsearch-deployment-dev
  except:
    refs:
    - main
    changes:
    - lfs-data/elastic/*
    - lfs-data/core-datasets/*
    - shared/reindex/force-reindex.txt
  variables:
    DATASET: search

search-prod:
  stage: aggregate
  extends: .elasticsearch-deployment-prod
  variables:
    DATASET: search
